import { Unit } from '../Class/Unit';
import { UnitBundle } from '../types/UnitBundle';
import { UnitBundleSpec } from '../types/UnitBundleSpec';
export declare function cloneUnit<T extends Unit>(unit: T, deep?: boolean): [T, UnitBundleSpec];
export declare function cloneUnitClass<T extends Unit>(unit: T, deep?: boolean): [UnitBundle<T>, UnitBundleSpec];
